/*
 * Auto Payment Calculator V1.0.1beta
 * Copyright (C) 1997  Eric A. Griff
 *
 * An Auto Payment Calculator.
 *
 * *Portions of this code use xforms-0.86 which is copyrighted as
 *
 *    Copyright (C) 1996-1997 by T.C. Zhao and Mark Overmars. ALL RIGHTS 
 *      RESERVED
 *
 */

#include <forms.h>
#include "apc.h"
#include "pixmaps/eric.xpm"
#include "version.h"

/* Our var to keep from running About() more than once at a time */
static int ready = 0;

/* Our Global struct for About */
FD_About_Box *about_obj;

void About(FL_OBJECT *ob, long data)
{
    char buf[255];

    /*  Can only run one About() at a time */
    if(ready) return;
    ready=1;

    /* Create About_Box */
    about_obj = create_form_About_Box();
    sprintf(buf, "Version:%s.%s.%s OS:%s", MAJOR, MINOR, REVISION, OS);
    fl_set_object_label(about_obj->Version_Text, buf);
    fl_set_pixmap_data(about_obj->Eric, eric);

    /* Show the dammed thang/cleanup */
    fl_show_form(about_obj->About_Box, FL_PLACE_CENTER, FL_TRANSIENT, "About Auto Payment Calculator");
    fl_do_only_forms();
    fl_hide_form(about_obj->About_Box);
    fl_free(about_obj);
    about_obj = NULL;
    ready=0;
    return;
}
